Last modified: 2014-04-19 04:36:33 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 61431 - Remove C namespace alias from Hindi Wikipedia
Remove C namespace alias from Hindi Wikipedia
Status: RESOLVED FIXED
Product: Wikimedia
Classification: Unclassified
Site requests (Other open bugs)
wmf-deployment
All All
: Normal enhancement (vote)
: ---
Assigned To: Nobody - You can work on this!
https://hi.wikipedia.org/wiki/%E0%A4%...
:
Depends on: 29940
Blocks: 41348 4676
  Show dependency treegraph
 
Reported: 2014-02-16 06:10 UTC by TeleComNasSprVen
Modified: 2014-04-19 04:36 UTC (History)
12 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description TeleComNasSprVen 2014-02-16 06:10:40 UTC
Awaiting on the hiwiki community, for [[bugzilla:4676]]. This ticket is opened to target a specific namespace alias, and to keep the rest of the other namespace aliases untouched.
Comment 1 Gerrit Notification Bot 2014-02-16 06:13:07 UTC
Change 113656 had a related patch set uploaded by Gerrit Patch Uploader:
Remove C: namespace alias (for categories) from hiwiki config

https://gerrit.wikimedia.org/r/113656
Comment 2 Andre Klapper 2014-02-16 13:51:00 UTC
Please link to the on-wiki discussion about this change.
Comment 3 PiRSquared17 2014-02-16 15:50:25 UTC
(In reply to Andre Klapper from comment #2)
> Please link to the on-wiki discussion about this change.

Still under discussion, but here's the permalink to the comments so far:

https://hi.wikipedia.org/w/index.php?title=विकिपीडिया:प्रबंधक_सूचनापट&oldid=2304603#Requests_for_comment.2FWikimedia_Commons
Comment 4 Siddhartha Ghai 2014-02-17 08:54:23 UTC
Although I personally have no problem with this, I find this bug a little premature. This bug has been filed on the assumption that hi.wp is the only project using C: as a shortcut. http://tools.wmflabs.org/pirsquared/c.txt shows that this is not the case. Until there is a consensus across other projects using C: as a shortcut to use it as an interwiki alias for commons, any discussion on hi.wp about keeping/removing this alias would be futile.
Comment 5 This, that and the other (TTO) 2014-02-17 11:47:32 UTC
The discussion here is very fragmented, so not sure where this comment should be placed, but I will just say that the uses of C: on Commons are not a problem, as Commons does not require this interwiki to itself. "c:" can be renamed away using the same code path as for "s:" on Swedish Wikipedia.
Comment 6 PiRSquared17 2014-02-18 16:22:40 UTC
(In reply to Siddhartha Ghai from comment #4)
> Although I personally have no problem with this, I find this bug a little
> premature. This bug has been filed on the assumption that hi.wp is the only
> project using C: as a shortcut. http://tools.wmflabs.org/pirsquared/c.txt
> shows that this is not the case. Until there is a consensus across other
> projects using C: as a shortcut to use it as an interwiki alias for commons,
> any discussion on hi.wp about keeping/removing this alias would be futile.

The Hindi Wikipedia is the only wiki using it as a namespace alias, but other wikis do indeed have pages starting with "C:" (some are redirects to categories, some are articles, some are redirects to articles e.g. [[C:]]).
I agree that this requires more consensus.
Comment 7 Scott Martin (http://enwp.org/user:scott) 2014-02-25 22:12:38 UTC
Just a note that Mayur (an admin on the Hindi Wikipedia) indicated in c29 on bug 4676 that they have no problem with switching it off as a namespace alias.
Comment 8 Siddhartha Ghai 2014-02-26 09:21:16 UTC
(In reply to Scott Martin from comment #7)
> Just a note that Mayur (an admin on the Hindi Wikipedia) indicated in c29 on
> bug 4676 that they have no problem with switching it off as a namespace
> alias.

Actually Mayur is a former admin and a retired user.
Comment 9 Scott Martin (http://enwp.org/user:scott) 2014-02-26 13:01:37 UTC
Sorry, I could have been a lot clearer. Mayur's recent comment was to reiterate one that he made in the original 2011 RfC on Meta, when he was still an admin and bureaucrat on hiwiki. I don't believe that their position has changed since then.
Comment 10 Scott Martin (http://enwp.org/user:scott) 2014-03-27 19:04:50 UTC
As an update for developers, the RfC has now concluded with a consensus for implementing the new Commons prefix, so could you please merge the patch for this.


https://meta.wikimedia.org/wiki/Requests_for_comment/Wikimedia_Commons_interwiki_prefix
Comment 11 Gerrit Notification Bot 2014-04-15 19:22:35 UTC
Change 113656 merged by jenkins-bot:
Remove C: namespace alias (for categories) from hiwiki config

https://gerrit.wikimedia.org/r/113656
Comment 12 MZMcBride 2014-04-19 04:16:22 UTC
(In reply to Gerrit Notification Bot from comment #11)
> Change 113656 merged by jenkins-bot:
> Remove C: namespace alias (for categories) from hiwiki config
> 
> https://gerrit.wikimedia.org/r/113656

Can this bug report be marked resolved/fixed, then?

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links